Subject: Re: Fwd: git rm

From: Andreas Schwab <[email-masked]>
Date: Wed, 06 Jul 2016 18:42:19 +0200

Peter <[email-masked]> writes:

> I am a lightweigt git user so by all means not a reference, but I was
> wondering why exactly does "git rm" also delete the file (remove it
> from the working tree). I see it as an unintended behaviour as git is
> written in a way that it preserves the most data.

The data is still preserved.  You can restore it with "git checkout HEAD
<file>".

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."